devel/p5-Guard - The NetBSD Packages Collection

Perl5 module to safe cleanup blocks

This module implements so-called "guards". A guard is something (usually an
object) that "guards" a resource, ensuring that it is cleaned up when
expected.

Specifically, this module supports two different types of guards: guard
objects, which execute a given code block when destroyed, and scoped guards,
which are tied to the scope exit.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Guard-1.023nb7.tgz
NetBSD 8.0earmv7hfp5-Guard-1.023nb6.tgz
NetBSD 8.0earmv7hfp5-Guard-1.023nb7.tgz
NetBSD 8.0i386p5-Guard-1.023nb6.tgz
NetBSD 8.0i386p5-Guard-1.023nb7.tgz
NetBSD 8.0powerpcp5-Guard-1.023nb6.tgz
NetBSD 8.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 8.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 8.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 8.0x86_64p5-Guard-1.023nb6.tgz
NetBSD 8.0x86_64p5-Guard-1.023nb7.tgz
NetBSD 9.0aarch64p5-Guard-1.023nb7.tgz
NetBSD 9.0aarch64p5-Guard-1.023nb6.tgz
NetBSD 9.0aarch64p5-Guard-1.023nb7.tgz
NetBSD 9.0alphap5-Guard-1.023nb7.tgz
NetBSD 9.0alphap5-Guard-1.023nb6.tgz
NetBSD 9.0alphap5-Guard-1.023nb7.tgz
NetBSD 9.0earmp5-Guard-1.023nb6.tgz
NetBSD 9.0earmp5-Guard-1.023nb7.tgz
NetBSD 9.0earmp5-Guard-1.023nb7.tgz
NetBSD 9.0earmv6hfp5-Guard-1.023nb7.tgz
NetBSD 9.0earmv6hfp5-Guard-1.023nb6.tgz
NetBSD 9.0earmv6hfp5-Guard-1.023nb7.tgz
NetBSD 9.0earmv7hfp5-Guard-1.023nb7.tgz
NetBSD 9.0earmv7hfp5-Guard-1.023nb6.tgz
NetBSD 9.0earmv7hfp5-Guard-1.023nb7.tgz
NetBSD 9.0earmv7hfp5-Guard-1.023nb7.tgz
NetBSD 9.0i386p5-Guard-1.023nb6.tgz
NetBSD 9.0i386p5-Guard-1.023nb7.tgz
NetBSD 9.0i386p5-Guard-1.023nb7.tgz
NetBSD 9.0m68kp5-Guard-1.023nb6.tgz
NetBSD 9.0m68kp5-Guard-1.023nb6.tgz
NetBSD 9.0m68kp5-Guard-1.023nb7.tgz
NetBSD 9.0m68kp5-Guard-1.023nb7.tgz
NetBSD 9.0mips64ebp5-Guard-1.023nb7.tgz
NetBSD 9.0mips64ebp5-Guard-1.023nb6.tgz
NetBSD 9.0mips64ebp5-Guard-1.023nb6.tgz
NetBSD 9.0mips64ebp5-Guard-1.023nb6.tgz
NetBSD 9.0mips64ebp5-Guard-1.023nb7.tgz
NetBSD 9.0mipselp5-Guard-1.023nb7.tgz
NetBSD 9.0mipselp5-Guard-1.023nb6.tgz
NetBSD 9.0mipselp5-Guard-1.023nb6.tgz
NetBSD 9.0mipselp5-Guard-1.023nb7.tgz
NetBSD 9.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 9.0powerpcp5-Guard-1.023nb6.tgz
NetBSD 9.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 9.0powerpcp5-Guard-1.023nb7.tgz
NetBSD 9.0sh3elp5-Guard-1.023nb7.tgz
NetBSD 9.0sh3elp5-Guard-1.023nb6.tgz
NetBSD 9.0sh3elp5-Guard-1.023nb6.tgz
NetBSD 9.0sh3elp5-Guard-1.023nb6.tgz
NetBSD 9.0sh3elp5-Guard-1.023nb7.tgz
NetBSD 9.0sparc64p5-Guard-1.023nb7.tgz
NetBSD 9.0sparc64p5-Guard-1.023nb6.tgz
NetBSD 9.0sparc64p5-Guard-1.023nb7.tgz
NetBSD 9.0sparcp5-Guard-1.023nb7.tgz
NetBSD 9.0sparcp5-Guard-1.023nb6.tgz
NetBSD 9.0sparcp5-Guard-1.023nb6.tgz
NetBSD 9.0sparcp5-Guard-1.023nb6.tgz
NetBSD 9.0sparcp5-Guard-1.023nb7.tgz
NetBSD 9.0vaxp5-Guard-1.023nb6.tgz
NetBSD 9.0vaxp5-Guard-1.023nb6.tgz
NetBSD 9.0vaxp5-Guard-1.023nb7.tgz
NetBSD 9.0vaxp5-Guard-1.023nb7.tgz
NetBSD 9.0x86_64p5-Guard-1.023nb7.tgz
NetBSD 9.0x86_64p5-Guard-1.023nb7.tgz
NetBSD 9.0x86_64p5-Guard-1.023nb6.tgz
NetBSD 9.0x86_64p5-Guard-1.023nb7.tgz
NetBSD 9.0x86_64p5-Guard-1.023nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.